Bug 176026 - Review Request: pikdev:IDE for development of PICmicro based application (under Linux/KDE)
Review Request: pikdev:IDE for development of PICmicro based application (und...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-12-17 15:31 EST by Alain Portal
Modified: 2010-07-19 00:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-23 05:14:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alain Portal 2005-12-17 15:31:39 EST
Spec Name or Url: http://linuxelectronique.free.fr/download/fedora/4/SPECS/pikdev.spec
SRPM Name or Url: http://linuxelectronique.free.fr/download/fedora/4/SRPMS/pikdev-0.8.2-1.src.rpm
Description: PiKdev is a simple IDE dedicated to the development of PIC
based applications under KDE.
Features:
 - Integrated editor
 - Project management
 - Integrated programming engine for 12, 14 and 16 bits PIC
   (flash or EPROM technology)
 - Support for parallel and serial port programmers
 - KDE compliant look-and-feel
Comment 1 Alain Portal 2006-01-10 10:04:03 EST
Spec Name or Url: 
http://linuxelectronique.free.fr/download/fedora/4/SPECS/pikdev.spec 
SRPM Name or Url: 
http://linuxelectronique.free.fr/download/fedora/4/SRPMS/pikdev-0.8.2-2.src.rpm 
 
%changelog 
* Tue Jan 10 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.2-2 
  - Add the %{?dist} macro 
 
Comment 2 Alain Portal 2006-01-31 04:49:01 EST
Spec Name or Url: 
http://linuxelectronique.free.fr/download/fedora/4/SPECS/pikdev.spec 
SRPM Name or Url: 
http://linuxelectronique.free.fr/download/fedora/4/SRPMS/pikdev-0.8.4-2.src.rpm 
 
%changelog 
* Tue Jan 31 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-2 
  - Don't use the precompiled version of pkp 
* Mon Jan 30 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-1 
  - New upstream version 
 
Comment 3 John Mahowald 2006-03-04 17:21:09 EST
Doesn't build on development due to X modularization.

No Package Found for xorg-x11-devel

http://fedoraproject.org/wiki/Xorg/Modularization
Comment 4 John Mahowald 2006-03-06 22:16:55 EST
Actually, you can avoid the issue with X modularization, becuase you do not need
BuildRequires xorg-x11-devel because qt-devel needs it, and in turn you don't
need qt-devel because kdelibs-devel needs it.

%{_datadir}/apps/%{name}/*

You have to own %{_datadir}/apps/pikdev/ itself. Drop the *.
Comment 5 Alain Portal 2006-03-08 10:52:52 EST
Thanks for review.  
 
Spec Name or Url:  
http://linuxelectronique.free.fr/download/fedora/4/SPECS/pikdev.spec  
SRPM Name or Url:  
http://linuxelectronique.free.fr/download/fedora/4/SRPMS/pikdev-0.8.4-3.src.rpm  
  
%changelog  
* Wed Mar 08 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-3  
  - Remove useless BuildRequires qt-devel, xorg-x11-devel for FE5  
  - Package must own %{_datadir}/apps/%{name} directory  
  
Comment 6 John Mahowald 2006-03-09 23:33:00 EST
Good:

- rpmlint checks return clean
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english, and french
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- locales handled by %find_lang
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
-  .desktop file

APPROVED
Comment 7 Alain Portal 2006-03-14 07:54:16 EST
Thanks for review! 
 
Unfortunately, pikdev fails to build on ppc. 
Could somebody have a look? 
http://buildsys.fedoraproject.org/logs/fedora-development-extras/6310-pikdev-0.8.4-3.fc5/ 
 
 
Comment 8 Ralf Corsepius 2006-03-14 08:38:03 EST
(In reply to comment #7)

> Unfortunately, pikdev fails to build on ppc. 
>
http://buildsys.fedoraproject.org/logs/fedora-development-extras/6310-pikdev-0.8.4-3.fc5/


Looks like non-portable code to me. AFAICT (I don't have access to ppc systems,
but have the glibc2 sources), sys/io.h is not available as part of the ppc's glibc2.

Besides this, I see more issues: The i386 log shows the package stripping
executables/libraries and not correctly propagating RPM_OPT_FLAGS.
Comment 9 Alain Portal 2006-03-15 04:09:04 EST
(In reply to comment #8) 
>  
> Looks like non-portable code to me. AFAICT (I don't have access to ppc 
systems, 
> but have the glibc2 sources), sys/io.h is not available as part of the ppc's 
glibc2. 
 
So, what I have to do: 
- exclude ppc arch? 
- try to find if exist a file which provide similar functions? 
 
> Besides this, I see more issues: The i386 log shows the package stripping 
> executables/libraries and not correctly propagating RPM_OPT_FLAGS. 
 
I have no experience about that. What I have to do? 
Comment 10 Ralf Corsepius 2006-03-15 04:47:07 EST
(In reply to comment #9)
> (In reply to comment #8) 
> So, what I have to do: 
> - exclude ppc arch? 
That's one option, suiteable as a short term aid. 

> - try to find if exist a file which provide similar functions? 
Better contact upstream and let them solve this issue.

> > Besides this, I see more issues: The i386 log shows the package stripping 
> > executables/libraries and not correctly propagating RPM_OPT_FLAGS. 
>  
> I have no experience about that. What I have to do? 
There are at least 2 issues:

1. Makefile.pkp is broken
It suffers from 2 issues:
a) It uses "gcc -lstdc++" to link.
This is a bug. It must use "g++" to link.
b) You must propagate RPM_OPT_FLAGS to it

The least intrusive approach to both problems would be to override
Makefile.pkp's hard-coded crap from make's command line inside of the spec, i.e.
to use something along this line:

make -f Makefile.pkp \
CCPP=g++ \
LINK=g++ \
CCPPOPT="$RPM_OPT_FLAGS -DPKP_VERSION=0.8.4" \
LIBS=

2. You are using "make install-strip"
This will strip executables during installation and render debug-infos unusable.
Simply use
"make install DESTDIR=$RPM_BUILD_DIR"
instead of
"make install-strip DESTDIR=$RPM_BUILD_DIR"
Comment 11 Alain Portal 2006-03-15 06:26:59 EST
(In reply to comment #10) 
> (In reply to comment #9) 
> > (In reply to comment #8)  
> > So, what I have to do:  
> > - exclude ppc arch?  
> That's one option, suiteable as a short term aid.  
 
Done. 
 
> > - try to find if exist a file which provide similar functions?  
> Better contact upstream and let them solve this issue. 
 
Done. 
 
> > > Besides this, I see more issues: The i386 log shows the package 
stripping  
> > > executables/libraries and not correctly propagating RPM_OPT_FLAGS.  
> >   
> > I have no experience about that. What I have to do?  
> There are at least 2 issues: 
>  
> 1. Makefile.pkp is broken 
> It suffers from 2 issues: 
> a) It uses "gcc -lstdc++" to link. 
> This is a bug. It must use "g++" to link. 
> b) You must propagate RPM_OPT_FLAGS to it 
>  
> The least intrusive approach to both problems would be to override 
> Makefile.pkp's hard-coded crap from make's command line inside of the spec, 
i.e. 
> to use something along this line: 
>  
> make -f Makefile.pkp \ 
> CCPP=g++ \ 
> LINK=g++ \ 
> CCPPOPT="$RPM_OPT_FLAGS -DPKP_VERSION=0.8.4" \ 
> LIBS= 
 
Done. 
 
> 2. You are using "make install-strip" 
> This will strip executables during installation and render debug-infos 
unusable. 
> Simply use 
> "make install DESTDIR=$RPM_BUILD_DIR" 
> instead of 
> "make install-strip DESTDIR=$RPM_BUILD_DIR" 
 
Done. 
 
Buildsys reports no error. 
Could you please have a look on build.log to see if everything is really OK 
before I close this bug? 
http://buildsys.fedoraproject.org/logs/fedora-development-extras/6363-pikdev-0.8.4-4.fc5/ 
Comment 12 Jose Pedro Oliveira 2006-03-15 06:42:31 EST
Alain,

Do you know or have tested piklab [1]?
The project description is here:
  http://piklab.sourceforge.net/devel.php

jpo

References:
[1] Homepage: http://piklab.sourceforge.net/
Comment 13 Alain Portal 2006-03-15 08:09:20 EST
(In reply to comment #12) 
> Alain, 
>  
> Do you know or have tested piklab [1]? 
 
Not really. 
Just have a quick look when the first version (0.1.0) was released. 
 
Why? 
Do you want I package it? 
Comment 14 Alain Portal 2006-03-15 08:56:29 EST
Strange... 
pikdev failed to build on FC-4 on x86_64 because ./configure couldn't find qt 
lib. 
http://buildsys.fedoraproject.org/logs/fedora-4-extras/6368-pikdev-0.8.4-4.fc4/ 
 
Any idea on how to fix? 
Comment 15 Ralf Corsepius 2006-03-15 09:36:10 EST
(In reply to comment #14)
> Strange... 
> pikdev failed to build on FC-4 on x86_64 because ./configure couldn't find qt 
> lib. 
> http://buildsys.fedoraproject.org/logs/fedora-4-extras/6368-pikdev-0.8.4-4.fc4/ 

Even stranger: I could reproduce it on i386/FC4!

[No idea why this didn't fail inside of the buildsys.
Does the buildsys set QTDIR?]

> Any idea on how to fix? 
Try adding this right before the %configure inside of the spec

[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
Comment 16 Alain Portal 2006-03-15 10:16:45 EST
(In reply to comment #15) 
> (In reply to comment #14) 
> > Strange...  
> > pikdev failed to build on FC-4 on x86_64 because ./configure couldn't find 
qt  
> > lib.  
> > 
http://buildsys.fedoraproject.org/logs/fedora-4-extras/6368-pikdev-0.8.4-4.fc4/  
>  
> Even stranger: I could reproduce it on i386/FC4! 
 
Sorry, I don't understand: you said build failed on i386/FC4? 
But this is my config, and I build successfully... 
 
> [No idea why this didn't fail inside of the buildsys. 
> Does the buildsys set QTDIR?] 
>  
> > Any idea on how to fix?  
> Try adding this right before the %configure inside of the spec 
>  
> [ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh 
 
Done. 
 
Comment 17 Alain Portal 2006-03-15 10:38:38 EST
(In reply to comment #15)  
> (In reply to comment #14)  
> > Strange...   
> > pikdev failed to build on FC-4 on x86_64 because ./configure couldn't find  
qt   
> > lib.   
> >  
http://buildsys.fedoraproject.org/logs/fedora-4-extras/6368-pikdev-0.8.4-4.fc4/   
>   
> Even stranger: I could reproduce it on i386/FC4!  
>   
> [No idea why this didn't fail inside of the buildsys.  
> Does the buildsys set QTDIR?]  
>   
> > Any idea on how to fix?   
> Try adding this right before the %configure inside of the spec  
>   
> [ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh  
  
Argghhh !  
Build fails, $QTDIR seems to be set. 
 
http://buildsys.fedoraproject.org/logs/fedora-4-extras/6375-pikdev-0.8.4-5.fc4/ 
Comment 18 Ville Skyttä 2006-03-15 15:38:02 EST
Please remember to file a separate bug about ExcludeArch: ppc and make it block
bug 179260 (see that bug and
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines#head-2f03bba0a9f05b2ac0128eb1d70b1e3ce9f9dc40
for more info).
Comment 19 Alain Portal 2006-03-16 08:53:02 EST
(In reply to comment #18) 
> Please remember to file a separate bug about ExcludeArch: ppc and make it 
block 
> FE-ExcludeArch-ppc (see that bug and 
> 
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines#head-2f03bba0a9f05b2ac0128eb1d70b1e3ce9f9dc40 
> for more info). 
 
Done. 
Could you please have a look and tell me if everything is OK? 
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=185615 
 
Comment 20 Alain Portal 2006-03-17 12:31:17 EST
(In reply to comment #14) 
> Strange...  
> pikdev failed to build on FC-4 on x86_64 because ./configure couldn't find 
qt  
> lib.  
> 
http://buildsys.fedoraproject.org/logs/fedora-4-extras/6368-pikdev-0.8.4-4.fc4/  
>   
> Any idea on how to fix?  
 
Should I have to excludearch x86_64 on FC-4? 
 
Comment 21 Alain Portal 2006-03-23 05:13:01 EST
%changelog 
* Thu Mar 23 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-7 
  - No fix. So, remove the previous change 
  - Definitely exclude arch x86_64 for FC-4 
* Thu Mar 23 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-6 
  - $QTDIR is set. So, remove the previous change 
  - Try to fix x86_64 build failure by adding BR qt-devel 
* Wed Mar 15 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-5 
  - Source qt.sh if $QTDIR isn't set. Always Ralf... 
* Wed Mar 15 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-4 
  - Exclude temporarily ppc arch because <sys/io.h> don't exist 
    in ppc glibc headers 
  - Override compiler for pkp Makefile and propagate $RPM_OPT_FLAGS on it 
  - Make install instead of install-strip 
  - Contributions of Ralf Corsepius <rc040203[AT]freenet[DOT].de> 
    Thanks to him. 
 
Comment 22 Rex Dieter 2006-04-05 06:47:28 EDT
Put this before %configure:
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

at least until bug #169132 is backported/released for FC-4.
Comment 23 Alain Portal 2006-04-05 07:37:23 EDT
 (In reply to comment #22) 
> Put this before %configure: 
> unset QTDIR || : ; . /etc/profile.d/qt.sh 
> export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include 
 
Work fine! 
Thanks. 
 
> at least until bug #169132 is backported/released for FC-4. 
 
This bug is closed in rawhide since 6 months 
Why not fixed in FC-4? 
 
Comment 24 David Woodhouse 2006-04-05 09:19:40 EDT
See comment in bug #185615. The PPC build is trivial to fix -- please do so.
And please pay a _little_ more attention before deciding to exclude architectures.
Comment 25 Alain Portal 2007-07-20 14:37:25 EDT
Package Change Request
======================
Package Name: pikdev
Updated Fedora Owners: alain.portal@free.fr

Please, add my home email in comps because I'm on vacation for 6 weeks.
Comment 26 Jens Petersen 2007-07-24 10:42:02 EDT
added
Comment 27 Chitlesh GOORAH 2010-07-18 06:43:14 EDT
Package Change Request
=======================
Package Name: pikdev
Short Description: IDE for development of PICmicro based application 
Owners: chitlesh
Branches: EL-5 EL-6
Comment 28 Kevin Fenzi 2010-07-19 00:22:00 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.